Bug 73370 - Double click of "OK" button in "Add User" dialog
Double click of "OK" button in "Add User" dialog
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-users (Show other bugs)
null
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-03 12:32 EDT by Joe Orton
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-03 12:32:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2002-09-03 12:32:44 EDT
Description of Problem:
I accidentally double-clicked the "OK" button in the Add User dialog; this
confused the app, which then seemed to want to add the user twice, and popped up
the dialog "A group with this name already exists, do you want to add the user
to this group?".

The first time I did this, I managed to get it so that the user list was
actually updated with two users with identical names, but I can't 
reproduce that now.

Version-Release number of selected component (if applicable):
redhat-config-users-1.1-16

How Reproducible:
Always (may require not-so-speedy machine)

Steps to Reproduce:
1. Run redhat-config-users
2. Hit "Add user" button
3. Enter valid user details
4. Double click on "OK" button

Actual Results:
"Group with this name already exists" dialog pops up

Expected Results:
No dialog pops up.

Additional Information:
Comment 1 Brent Fox 2002-09-16 15:54:31 EDT
Fixed in cvs.  The windows will now desenstize themselves while performing the
action when the user clicks ok.  Incidentally, this problem also affected the
edit user screen, the add group screen, and the edit group screen.  I've fixed
these in all four screens.  I will rebuild a new version in Rawhide soon.

Note You need to log in before you can comment on or make changes to this bug.